Revocar una credencial de aplicación
DELETE /v1/applications/{application_id}/credentials/{credential_id} · permiso applications:write
Revoca una credencial (motivo manual). Una credencial revocada ya no puede autenticar la aplicación; la revocación no se puede deshacer. Repetir la solicitud para una credencial que ya fue revocada manualmente tiene éxito.
Solicitud
| Parámetro | En | Descripción |
|---|---|---|
application_id |
yol | Application id (app_…). |
credential_id |
path | Credential id (cred_…). |
Respuesta
204 No Content.
Errores
| HTTP | code |
Cuándo |
|---|---|---|
| 401 | unauthenticated |
The key is missing, invalid or revoked. |
| 403 | insufficient_permissions |
The key lacks the required permission. |
| 404 | not_found |
The application or the credential does not exist in this environment. |
| 409 | conflict |
The credential was already revoked for another reason. |
| 503 | service_unavailable |
The credential registry is temporarily unavailable; retry after the Retry-After delay. |
Ejemplo
curl -X DELETE https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg/credentials/cred_0000000000000000000000001z \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY"